Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Read_Stream Class Reference

This class implements <ACE_Asynch_Read_Stream> for all POSIX based implementation of Proactor. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Read_Stream:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Read_Stream:

[legend]
List of all members.

## Public Methods
| ACE_POSIX_Asynch_Read_Stream (ACE_POSIX_AIOCB_Proactor *posix_aiocb_proactor)
| Constructor. More...
int | read (ACE_Message_Block &message_block, size_t bytes_to_read, const void *act, int priority, int signal_number=0)
| This starts off an asynchronous read. Upto <bytes_to_read> will be read and stored in the <message_block>. More...
virtual | ~ACE_POSIX_Asynch_Read_Stream (void)
| Destructor. More...
int | open (ACE_Handler &handler, ACE_HANDLE handle, const void *completion_key, ACE_Proactor *proactor=0)
| Initializes the factory with information which will be used with each asynchronous call. More...
int | cancel (void)
| Not implemented. Returns 0. More...
ACE_Proactor * | proactor (void) const
| Return the underlying proactor. More...

## Detailed Description

This class implements <ACE_Asynch_Read_Stream> for all POSIX based implementation of Proactor.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Read_Stream::ACE_POSIX_Asynch_Read_Stream | ( | ACE_POSIX_AIOCB_Proactor * | posix_aiocb_proactor | ) |

| Constructor.

ACE_POSIX_Asynch_Read_Stream::~ACE_POSIX_Asynch_Read_Stream | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_POSIX_Asynch_Read_Stream::cancel | ( | void |  | ) | `[virtual]`

| Not implemented. Returns 0. @ Reimplemented from ACE_POSIX_Asynch_Operation. Reimplemented in ACE_POSIX_Asynch_Read_File.

int ACE_POSIX_Asynch_Read_Stream::open | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | const void * | completion_key,
|  | ACE_Proactor * | proactor = 0
| ) | `[virtual]`

| Initializes the factory with information which will be used with each asynchronous call. If (<handle> == ACE_INVALID_HANDLE), <ACE_Handler::handle> will be called on the <handler> to get the correct handle. Reimplemented from ACE_POSIX_Asynch_Operation. Reimplemented in ACE_POSIX_Asynch_Read_File.

ACE_Proactor * ACE_POSIX_Asynch_Read_Stream::proactor | ( | void |  | ) | const`[virtual]`

| Return the underlying proactor. Reimplemented from ACE_POSIX_Asynch_Operation. Reimplemented in ACE_POSIX_Asynch_Read_File.

int ACE_POSIX_Asynch_Read_Stream::read | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[virtual]`

| This starts off an asynchronous read. Upto <bytes_to_read> will be read and stored in the <message_block>. Reimplemented from ACE_Asynch_Read_Stream_Impl. Reimplemented in ACE_POSIX_Asynch_Read_File.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp